<!--Autor: Niklas Schaefer -->


<!-- Die folgende HTML-Datei definiert die Struktur und das Erscheinungsbild einer Webanwendung fuer die Bewaesserungskontrolle. -->

<!DOCTYPE html>
<html lang="en">

<head>
    <!-- Meta-Tags fuer die Zeichenkodierung und die Ansichtseinstellungen -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Verweis auf das externe CSS-Stylesheet -->
    <link rel="stylesheet" href="style.css">
    <!-- Titel der Webseite -->
    <title>Webanwendung</title>
</head>

<body>
    <!-- Hauptcontainer fuer den Hintergrund -->
    <div class="background">
        <!-- Schaltflaeche fuer das Menue -->
        <button id="menuButton">Menü</button>
        <!-- Das Menue mit Nutzeranleitung, Impressum und Entwicklerinformationen -->
        <div class="menu" id="menu">
            <div class="menuHeader">
                <!-- ueberschrift und Eingabefeld fuer die Nutzeranmeldung -->
                <h2>Nutzer anlegen</h2>
                <input type="text" id="userInput" placeholder="E-Mail-Adresse">
            </div>
            <div class="menuFooter">
                <!-- Abschnitte fuer das Impressum und die Entwicklerinformationen -->
                <h3>Impressum</h3>
                <!-- Impressumsangaben -->
                <p> </p>
                <p>Happy Plant</p>
                <p>Gruppe 22</p>
                <p>ET22B</p>
                <p>74821 Mosbach</p>
                <p>Germany</p>
                <!-- Leere Abschnitte fuer eine bessere Formatierung -->
                <p> </p>
                <p> </p>
                <!-- Ueberschrift und Entwicklerinformationen -->
                <h3>Entwickler</h3>
                <p> </p>
                <p>Fabian Hennegriff</p>
                <p>Fabiola Streitenberger</p>
                <p>Niklas Schäfer</p>
                <p>Softwareversion 0.1</p>
            </div>
        </div>
        <!-- Ueberschrift fuer die Bewaesserungsseite -->
        <h1 class="pageTitle">Bewaesserung</h1>
        <!-- Bildfelder fuer die Bewaesserungsabschnitte -->
        <div class="imageFields">
            <div class="imageField" id="imageField1" onclick="handleImageClick(1)"></div>
            <div class="imageField" id="imageField2" onclick="handleImageClick(2)"></div>
            <div class="imageField" id="imageField3" onclick="handleImageClick(3)"></div>
        </div>
        <!-- Anzeige fuer Datum und Uhrzeit -->
        <div class="dateTime" id="dateTime"></div>
        <!-- Textfelder fuer den Automatikmodus -->
        <div class="automaticModeText" data-field="1">
            <label for="fromTime1">B1 From:</label>
            <input type="text" id="fromTime1" placeholder="HH:MM">
            <label for="toTime1">B1 To:</label>
            <input type="text" id="toTime1" placeholder="HH:MM">
        </div>
        <div class="automaticModeText" data-field="2">
            <label for="fromTime2">B2 From:</label>
            <input type="text" id="fromTime2" placeholder="HH:MM">
            <label for="toTime2">B2 To:</label>
            <input type="text" id="toTime2" placeholder="HH:MM">
        </div>
        <div class="automaticModeText" data-field="3">
            <label for="fromTime3">B3 From:</label>
            <input type="text" id="fromTime3" placeholder="HH:MM">
            <label for="toTime3">B3 To:</label>
            <input type="text" id="toTime3" placeholder="HH:MM">
        </div>
        <!-- Schalter fuer den manuellen Modus -->
        <div class="manualModeSwitches">
            <button id="manualSwitch1" class="manualSwitch">ON/OFF</button>
            <button id="manualSwitch2" class="manualSwitch">ON/OFF</button>
            <button id="manualSwitch3" class="manualSwitch">ON/OFF</button>
        </div>
        <!-- Menue fuer die Bildauswahl -->
        <div class="imageMenu" id="imageMenu">
            <div class="menuItem" id="winter" onclick="handleMenuItemClick('winter')">Winter</div>
            <div class="menuItem" id="automatik" onclick="handleMenuItemClick('automatik')">Automatik</div>
            <div class="menuItem" id="manuell" onclick="handleMenuItemClick('manuell')">Manuell</div>
        </div>
        <!-- Anzeige fuer den Status -->
        <div id="statusBox">
            <p class="winter">Winter</p>
            <p class="automatik">Automatik</p>
            <p class="manuellAn">Manuell An</p>
            <p class="manuellAus">Manuell Aus</p>
        </div>
    </div>
    <!-- Phase 3 Zusatzaufgabe (teilweise bearbeitet): Input fuer Bildauswahl -->
    <input type="file" id="fileInput" style="display: none" onchange="handleImageUpload()">

    <!-- Dashboard-Anzeige fuer Bereiche -->
    <div id="dashboard" class="dashboard">
        <h3>Dashboard</h3>
        <div id="areaStatus1" class="areaStatus">Bereich 1: <span></span></div>
        <div id="areaStatus2" class="areaStatus">Bereich 2: <span></span></div>
        <div id="areaStatus3" class="areaStatus">Bereich 3: <span></span></div>
    </div>
    <div class="temperatureValue" id="temperatureValue">
        <span id="temperatureValue">Temperatur: </span>
    </div>
    <!-- Einbindung der JavaScript-Datei -->
    <script src="script.js"></script>
</body>

</html>